> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/workflow-tasks.md).

# Workflow Tasks

## Cancel workflow task.

> Cancels the workflow task with the specified ID with a reason. If the given workflow is a subprocess, this method makes sure everything is cancelled from the root process instance. If the given task is not found, this method will assume it already was cancelled without throwing any error.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/workflowTasks/{workflowTaskId}/canceled":{"post":{"tags":["Workflow Tasks"],"summary":"Cancel workflow task.","description":"Cancels the workflow task with the specified ID with a reason. If the given workflow is a subprocess, this method makes sure everything is cancelled from the root process instance. If the given task is not found, this method will assume it already was cancelled without throwing any error.","operationId":"cancelWorkflowTask","parameters":[{"name":"workflowTaskId","in":"path","description":"The ID of the workflow task.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"The reason for the cancellation of the workflow task.","content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"204":{"description":"Task successfully canceled."},"404":{"description":"Task not found."}}}}}}
```

## Complete workflow tasks.

> Completes tasks based on the provided request and returns the following tasks, if the same user is assigned to them.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CompleteWorkflowTasksRequest":{"required":["taskIds"],"type":"object","properties":{"taskIds":{"maxItems":2147483647,"minItems":1,"type":"array","description":"The list of IDs for tasks that should be completed.","items":{"type":"string","description":"The list of IDs for tasks that should be completed.","format":"uuid"}},"formProperties":{"type":"object","additionalProperties":{"type":"string","description":"The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using regular forms. This field's value will be ignored if the taskFormProperties field is populated.\nThis field will be removed. Please use the 'taskFormProperties' field instead.","deprecated":true},"description":"The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using regular forms. This field's value will be ignored if the taskFormProperties field is populated.\nThis field will be removed. Please use the 'taskFormProperties' field instead.","deprecated":true},"taskFormProperties":{"type":"object","additionalProperties":{"type":"object","description":"The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using either regular forms or external json form definitions."},"description":"The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using either regular forms or external json form definitions."},"guestUserId":{"type":"string","description":"The ID of the guest user. This property is ignored and will be removed without a replacement.","format":"uuid","deprecated":true}},"description":"Parameters of the workflow tasks to be completed."},"WorkflowTask":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"workflowDefinition":{"$ref":"#/components/schemas/WorkflowDefinitionReference"},"workflowInstanceId":{"type":"string","description":"The UUID of the workflow instance.","format":"uuid"},"key":{"type":"string","description":"The key."},"type":{"type":"string","description":"The type."},"aggregationKey":{"type":"string","description":"The key for aggregation purposes."},"priority":{"type":"integer","description":"The priority.","format":"int32"},"owner":{"type":"string","description":"The owner."},"candidateUsers":{"type":"array","description":"The list of candidate users.","items":{"$ref":"#/components/schemas/User"}},"createTime":{"type":"integer","description":"The create time.","format":"int64"},"dueDate":{"type":"integer","description":"The due date.","format":"int64"},"cancelable":{"type":"boolean","description":"Whether this workflow task is cancelable or not."},"reassignable":{"type":"boolean","description":"Whether this workflow task is reassignable or not."},"formRequired":{"type":"boolean","description":"Whether this task requires a form or not."},"formKeyAvailable":{"type":"boolean","description":"Whether this task has form key available or not."},"containsActivityStream":{"type":"boolean","description":"Whether this task contains an activity stream or not."},"inError":{"type":"boolean","description":"Whether this task is in error or not."},"errorMessage":{"type":"string","description":"The error message in case this task is in error."},"customButtons":{"type":"array","description":"The list of custom buttons.","items":{"$ref":"#/components/schemas/FormProperty"}},"description":{"type":"string","description":"The description of the workflow task."},"title":{"type":"string","description":"The title of the task."},"businessItem":{"$ref":"#/components/schemas/ResourceReference"},"businessItemReference":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"Represents a workflow task."},"WorkflowDefinitionReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."},"processId":{"type":"string","description":"The <code>id</code> of the process corresponding to the workflow."}},"description":"Represents reference to the workflow definition."},"User":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"userName":{"type":"string","description":"The user name."},"firstName":{"type":"string","description":"The first name of the user."},"lastName":{"type":"string","description":"The last name of the user."},"title":{"type":"string","description":"The organizational title of the user."},"department":{"type":"string","description":"The organizational department of the user."},"emailAddress":{"type":"string","description":"The main email address."},"gender":{"type":"string","description":"The gender of the user.","enum":["MALE","FEMALE","UNKNOWN"]},"language":{"type":"string","description":"The current language preference for this user."},"additionalEmailAddresses":{"type":"array","description":"The list of additional email addresses.","items":{"$ref":"#/components/schemas/Email"}},"phoneNumbers":{"type":"array","description":"The list of phone numbers.","items":{"$ref":"#/components/schemas/PhoneNumber"}},"instantMessagingAccounts":{"type":"array","description":"The list of instant messaging accounts.","items":{"$ref":"#/components/schemas/InstantMessagingAccount"}},"websites":{"type":"array","description":"The list of websites.","items":{"$ref":"#/components/schemas/Website"}},"addresses":{"type":"array","description":"The list of addresses.","items":{"$ref":"#/components/schemas/Address"}},"activated":{"type":"boolean","description":"Whether this user account is already activated or not."},"enabled":{"type":"boolean","description":"Whether this user account is already enabled or not."},"ldapUser":{"type":"boolean","description":"Whether this is an LDAP user or not."},"userSource":{"type":"string","enum":["INTERNAL","LDAP","SSO"]},"guestUser":{"type":"boolean","description":"Whether this is a guest user or not."},"apiUser":{"type":"boolean","description":"Whether this is API user or not. This field is no longer used and will be removed in the future.","deprecated":true},"licenseType":{"type":"string","description":"This field represents the given license which is no longer used,\nso the method no longer returns useful data and will be removed in the future.\nTo retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType","deprecated":true,"enum":["CONSUMER","AUTHOR"]}},"description":"Represents a user in the system."},"Email":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"emailAddress":{"type":"string","description":"The email address"}},"description":"Represents an email address for a user."},"PhoneNumber":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"type":{"type":"string","description":"The type of phone number.","enum":["FAX","MOBILE","OTHER","PAGER","PRIVATE","WORK"]},"phoneNumber":{"type":"string","description":"The phone number."}},"description":"Represents a phone number for a User."},"InstantMessagingAccount":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"account":{"type":"string","description":"The string representing the account (for example the Skype ID)."},"type":{"type":"string","description":"The type of instant messaging account.","enum":["AOL","GTALK","ICQ","JABBER","LIVE_MESSENGER","SKYPE","YAHOO_MESSENGER"]}},"description":"Represents an instant messaging account for a User."},"Website":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"url":{"type":"string","description":"The URL of the website."},"type":{"type":"string","description":"The type of website.","enum":["FACEBOOK","LINKEDIN","MYSPACE","TWITTER","WEBSITE"]}},"description":"Represents a website for a User."},"Address":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"city":{"type":"string","description":"The city."},"street":{"type":"string","description":"The street."},"number":{"type":"string","description":"The house number."},"state":{"type":"string","description":"The state."},"country":{"type":"string","description":"The country."},"postalCode":{"type":"string","description":"The postal code."},"type":{"type":"string","description":"The type of address.","enum":["HOME","WORK"]}},"description":"Represents an address for a User."},"FormProperty":{"type":"object","properties":{"id":{"type":"string","description":"The id of the property."},"name":{"type":"string","description":"The name of the property."},"type":{"type":"string","description":"The property type."},"value":{"type":"string","description":"The property (default) value."},"writable":{"type":"boolean","description":"Whether the property is writable."},"required":{"type":"boolean","description":"Whether the property is required."},"enumValues":{"type":"array","description":"The property's enum values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"checkButtons":{"type":"array","description":"The property's checkbox buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"radioButtons":{"type":"array","description":"The property's radio buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"defaultDropdownValues":{"type":"array","description":"The property's default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"proposedDropdownValues":{"type":"array","description":"The property's proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"dateTimeType":{"type":"string","description":"The datetime type in case the property is of type datetime."},"multiValue":{"type":"boolean","description":"Whether the property allows multiple values."},"proposedFixed":{"type":"boolean","description":"Whether the property's proposed values are the only set of allowed values to select."},"defaultFromResource":{"type":"boolean","description":"Whether the property's default value is the current resource."},"multiDefaultDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi default dropdown values."},"multiProposedDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi proposed dropdown values."},"assetType":{"$ref":"#/components/schemas/ResourceReference"},"assetTypeIds":{"type":"array","description":"The asset type ids.","items":{"type":"string","description":"The asset type ids.","format":"uuid"}},"communityIds":{"type":"array","description":"Community ids.","items":{"type":"string","description":"Community ids.","format":"uuid"}},"domainIds":{"type":"array","description":"Domain ids.","items":{"type":"string","description":"Domain ids.","format":"uuid"}},"statusIds":{"type":"array","description":"Status ids.","items":{"type":"string","description":"Status ids.","format":"uuid"}},"helpText":{"type":"string","description":"Help text."}},"description":"Represents one field in the form."},"DropdownValue":{"type":"object","properties":{"relationTypeDirection":{"type":"string","description":"The relation type direction. This is only set when the dropdown value represents a relation type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"idAsString":{"type":"string","description":"Returns the id of the dropdown value."},"parents":{"type":"array","description":"The list of parents.","items":{"type":"string"}},"id":{"type":"string","description":"The id of the dropdown value if it is possible to convert it to UUID.","format":"uuid"},"text":{"type":"string","description":"The text."}},"description":"Represents a dropdown value."},"OptionValue":{"type":"object","properties":{"label":{"type":"string","description":"The label of the option."},"value":{"type":"string","description":"The value of the option."}},"description":"Represents option in the form."},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/workflowTasks/completed":{"post":{"tags":["Workflow Tasks"],"summary":"Complete workflow tasks.","description":"Completes tasks based on the provided request and returns the following tasks, if the same user is assigned to them.","operationId":"completeWorkflowTasks","requestBody":{"description":"Request to complete the workflow tasks.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompleteWorkflowTasksRequest"}}}},"responses":{"200":{"description":"The following tasks, if the calling user is assigned to them. Empty response otherwise.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowTask"}}}}},"404":{"description":"Requested workflow task does not exist."},"500":{"description":"Current user is not candidate user for workflow task."}}}}}}
```

## Find workflow tasks.

> Returns the workflow tasks matching given search criteria.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"WorkflowTaskPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/WorkflowTask"}}}},"WorkflowTask":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"workflowDefinition":{"$ref":"#/components/schemas/WorkflowDefinitionReference"},"workflowInstanceId":{"type":"string","description":"The UUID of the workflow instance.","format":"uuid"},"key":{"type":"string","description":"The key."},"type":{"type":"string","description":"The type."},"aggregationKey":{"type":"string","description":"The key for aggregation purposes."},"priority":{"type":"integer","description":"The priority.","format":"int32"},"owner":{"type":"string","description":"The owner."},"candidateUsers":{"type":"array","description":"The list of candidate users.","items":{"$ref":"#/components/schemas/User"}},"createTime":{"type":"integer","description":"The create time.","format":"int64"},"dueDate":{"type":"integer","description":"The due date.","format":"int64"},"cancelable":{"type":"boolean","description":"Whether this workflow task is cancelable or not."},"reassignable":{"type":"boolean","description":"Whether this workflow task is reassignable or not."},"formRequired":{"type":"boolean","description":"Whether this task requires a form or not."},"formKeyAvailable":{"type":"boolean","description":"Whether this task has form key available or not."},"containsActivityStream":{"type":"boolean","description":"Whether this task contains an activity stream or not."},"inError":{"type":"boolean","description":"Whether this task is in error or not."},"errorMessage":{"type":"string","description":"The error message in case this task is in error."},"customButtons":{"type":"array","description":"The list of custom buttons.","items":{"$ref":"#/components/schemas/FormProperty"}},"description":{"type":"string","description":"The description of the workflow task."},"title":{"type":"string","description":"The title of the task."},"businessItem":{"$ref":"#/components/schemas/ResourceReference"},"businessItemReference":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"Represents a workflow task."},"WorkflowDefinitionReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."},"processId":{"type":"string","description":"The <code>id</code> of the process corresponding to the workflow."}},"description":"Represents reference to the workflow definition."},"User":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"userName":{"type":"string","description":"The user name."},"firstName":{"type":"string","description":"The first name of the user."},"lastName":{"type":"string","description":"The last name of the user."},"title":{"type":"string","description":"The organizational title of the user."},"department":{"type":"string","description":"The organizational department of the user."},"emailAddress":{"type":"string","description":"The main email address."},"gender":{"type":"string","description":"The gender of the user.","enum":["MALE","FEMALE","UNKNOWN"]},"language":{"type":"string","description":"The current language preference for this user."},"additionalEmailAddresses":{"type":"array","description":"The list of additional email addresses.","items":{"$ref":"#/components/schemas/Email"}},"phoneNumbers":{"type":"array","description":"The list of phone numbers.","items":{"$ref":"#/components/schemas/PhoneNumber"}},"instantMessagingAccounts":{"type":"array","description":"The list of instant messaging accounts.","items":{"$ref":"#/components/schemas/InstantMessagingAccount"}},"websites":{"type":"array","description":"The list of websites.","items":{"$ref":"#/components/schemas/Website"}},"addresses":{"type":"array","description":"The list of addresses.","items":{"$ref":"#/components/schemas/Address"}},"activated":{"type":"boolean","description":"Whether this user account is already activated or not."},"enabled":{"type":"boolean","description":"Whether this user account is already enabled or not."},"ldapUser":{"type":"boolean","description":"Whether this is an LDAP user or not."},"userSource":{"type":"string","enum":["INTERNAL","LDAP","SSO"]},"guestUser":{"type":"boolean","description":"Whether this is a guest user or not."},"apiUser":{"type":"boolean","description":"Whether this is API user or not. This field is no longer used and will be removed in the future.","deprecated":true},"licenseType":{"type":"string","description":"This field represents the given license which is no longer used,\nso the method no longer returns useful data and will be removed in the future.\nTo retrieve the user's required license type based on their permissions, please use GET /users/{userId}/licenseType","deprecated":true,"enum":["CONSUMER","AUTHOR"]}},"description":"Represents a user in the system."},"Email":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"emailAddress":{"type":"string","description":"The email address"}},"description":"Represents an email address for a user."},"PhoneNumber":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"type":{"type":"string","description":"The type of phone number.","enum":["FAX","MOBILE","OTHER","PAGER","PRIVATE","WORK"]},"phoneNumber":{"type":"string","description":"The phone number."}},"description":"Represents a phone number for a User."},"InstantMessagingAccount":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"account":{"type":"string","description":"The string representing the account (for example the Skype ID)."},"type":{"type":"string","description":"The type of instant messaging account.","enum":["AOL","GTALK","ICQ","JABBER","LIVE_MESSENGER","SKYPE","YAHOO_MESSENGER"]}},"description":"Represents an instant messaging account for a User."},"Website":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"url":{"type":"string","description":"The URL of the website."},"type":{"type":"string","description":"The type of website.","enum":["FACEBOOK","LINKEDIN","MYSPACE","TWITTER","WEBSITE"]}},"description":"Represents a website for a User."},"Address":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"city":{"type":"string","description":"The city."},"street":{"type":"string","description":"The street."},"number":{"type":"string","description":"The house number."},"state":{"type":"string","description":"The state."},"country":{"type":"string","description":"The country."},"postalCode":{"type":"string","description":"The postal code."},"type":{"type":"string","description":"The type of address.","enum":["HOME","WORK"]}},"description":"Represents an address for a User."},"FormProperty":{"type":"object","properties":{"id":{"type":"string","description":"The id of the property."},"name":{"type":"string","description":"The name of the property."},"type":{"type":"string","description":"The property type."},"value":{"type":"string","description":"The property (default) value."},"writable":{"type":"boolean","description":"Whether the property is writable."},"required":{"type":"boolean","description":"Whether the property is required."},"enumValues":{"type":"array","description":"The property's enum values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"checkButtons":{"type":"array","description":"The property's checkbox buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"radioButtons":{"type":"array","description":"The property's radio buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"defaultDropdownValues":{"type":"array","description":"The property's default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"proposedDropdownValues":{"type":"array","description":"The property's proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"dateTimeType":{"type":"string","description":"The datetime type in case the property is of type datetime."},"multiValue":{"type":"boolean","description":"Whether the property allows multiple values."},"proposedFixed":{"type":"boolean","description":"Whether the property's proposed values are the only set of allowed values to select."},"defaultFromResource":{"type":"boolean","description":"Whether the property's default value is the current resource."},"multiDefaultDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi default dropdown values."},"multiProposedDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi proposed dropdown values."},"assetType":{"$ref":"#/components/schemas/ResourceReference"},"assetTypeIds":{"type":"array","description":"The asset type ids.","items":{"type":"string","description":"The asset type ids.","format":"uuid"}},"communityIds":{"type":"array","description":"Community ids.","items":{"type":"string","description":"Community ids.","format":"uuid"}},"domainIds":{"type":"array","description":"Domain ids.","items":{"type":"string","description":"Domain ids.","format":"uuid"}},"statusIds":{"type":"array","description":"Status ids.","items":{"type":"string","description":"Status ids.","format":"uuid"}},"helpText":{"type":"string","description":"Help text."}},"description":"Represents one field in the form."},"DropdownValue":{"type":"object","properties":{"relationTypeDirection":{"type":"string","description":"The relation type direction. This is only set when the dropdown value represents a relation type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"idAsString":{"type":"string","description":"Returns the id of the dropdown value."},"parents":{"type":"array","description":"The list of parents.","items":{"type":"string"}},"id":{"type":"string","description":"The id of the dropdown value if it is possible to convert it to UUID.","format":"uuid"},"text":{"type":"string","description":"The text."}},"description":"Represents a dropdown value."},"OptionValue":{"type":"object","properties":{"label":{"type":"string","description":"The label of the option."},"value":{"type":"string","description":"The value of the option."}},"description":"Represents option in the form."},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."},"NamedResourceReferenceImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."}},"description":"Represents reference to the resource, including its name."}}},"paths":{"/workflowTasks":{"get":{"tags":["Workflow Tasks"],"summary":"Find workflow tasks.","description":"Returns the workflow tasks matching given search criteria.","operationId":"findWorkflowTasks","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}},{"name":"businessItemId","in":"query","description":"The ID of the business item","schema":{"type":"string","format":"uuid"}},{"name":"businessItemType","in":"query","description":"The type of the business item","schema":{"type":"string","enum":["ASSET","DOMAIN","COMMUNITY"]}},{"name":"taskIdPhrase","in":"query","description":"The part of the id of the task","schema":{"type":"string"}},{"name":"workflowTaskUserRelation","in":"query","description":"The type of relation between user and searched tasks. This could be either set to search for all the tasks the user is permitted to view or just those assigned to the user.","schema":{"type":"string","enum":["ALL","ASSIGNED","MY_OVERDUE"],"default":"ALL"}},{"name":"businessItemName","in":"query","description":"The part of the name of the business item.","schema":{"type":"string"}},{"name":"description","in":"query","description":"The part of the task description.","schema":{"type":"string"}},{"name":"userId","in":"query","description":"The ID of the user for which the tasks need to be returned. If empty, the current logged in user will be used","schema":{"type":"string","format":"uuid"}},{"name":"createDate","in":"query","description":"The creation date of the task. It is the timestamp (in UTC time standard)","schema":{"type":"integer","format":"int64"}},{"name":"dueDate","in":"query","description":"The due date of the task. It is the timestamp (in UTC time standard)","schema":{"type":"integer","format":"int64"}},{"name":"title","in":"query","description":"The title/name of the task.","schema":{"type":"string"}},{"name":"type","in":"query","description":"The task type.","schema":{"type":"string"}},{"name":"sortField","in":"query","description":"The field on which the results are sorted. On due date by default.","schema":{"type":"string","enum":["DUE_DATE","CREATION_DATE","TITLE","ITEM","DESCRIPTION"],"default":"DUE_DATE"}},{"name":"sortOrder","in":"query","description":"The sorting order.","schema":{"type":"string","enum":["ASC","DESC"],"default":"DESC"}}],"responses":{"200":{"description":"The paged response with found workflow tasks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowTaskPagedResponse"}}}}}}}}}
```

## Get task form data.

> Returns the task form data of the workflow task with the specified ID and form property type.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TaskFormData":{"type":"object","properties":{"formKey":{"type":"string","description":"The form key."},"formProperties":{"type":"array","description":"The list of form properties.","items":{"$ref":"#/components/schemas/FormProperty"}},"taskId":{"type":"string","description":"The <code>id</code> of the task."},"containsActivityStream":{"type":"boolean","description":"Whether the task form contains a activity stream."},"subtitle":{"type":"string","description":"The subtitle of the task if any."}},"description":"Represents all task related form data."},"FormProperty":{"type":"object","properties":{"id":{"type":"string","description":"The id of the property."},"name":{"type":"string","description":"The name of the property."},"type":{"type":"string","description":"The property type."},"value":{"type":"string","description":"The property (default) value."},"writable":{"type":"boolean","description":"Whether the property is writable."},"required":{"type":"boolean","description":"Whether the property is required."},"enumValues":{"type":"array","description":"The property's enum values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"checkButtons":{"type":"array","description":"The property's checkbox buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"radioButtons":{"type":"array","description":"The property's radio buttons.","items":{"$ref":"#/components/schemas/OptionValue"}},"defaultDropdownValues":{"type":"array","description":"The property's default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"proposedDropdownValues":{"type":"array","description":"The property's proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"dateTimeType":{"type":"string","description":"The datetime type in case the property is of type datetime."},"multiValue":{"type":"boolean","description":"Whether the property allows multiple values."},"proposedFixed":{"type":"boolean","description":"Whether the property's proposed values are the only set of allowed values to select."},"defaultFromResource":{"type":"boolean","description":"Whether the property's default value is the current resource."},"multiDefaultDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi default dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi default dropdown values."},"multiProposedDropdownValues":{"type":"object","additionalProperties":{"type":"array","description":"The multi proposed dropdown values.","items":{"$ref":"#/components/schemas/DropdownValue"}},"description":"The multi proposed dropdown values."},"assetType":{"$ref":"#/components/schemas/ResourceReference"},"assetTypeIds":{"type":"array","description":"The asset type ids.","items":{"type":"string","description":"The asset type ids.","format":"uuid"}},"communityIds":{"type":"array","description":"Community ids.","items":{"type":"string","description":"Community ids.","format":"uuid"}},"domainIds":{"type":"array","description":"Domain ids.","items":{"type":"string","description":"Domain ids.","format":"uuid"}},"statusIds":{"type":"array","description":"Status ids.","items":{"type":"string","description":"Status ids.","format":"uuid"}},"helpText":{"type":"string","description":"Help text."}},"description":"Represents one field in the form."},"DropdownValue":{"type":"object","properties":{"relationTypeDirection":{"type":"string","description":"The relation type direction. This is only set when the dropdown value represents a relation type.","enum":["TO_SOURCE","TO_TARGET","BOTH","NONE"]},"idAsString":{"type":"string","description":"Returns the id of the dropdown value."},"parents":{"type":"array","description":"The list of parents.","items":{"type":"string"}},"id":{"type":"string","description":"The id of the dropdown value if it is possible to convert it to UUID.","format":"uuid"},"text":{"type":"string","description":"The text."}},"description":"Represents a dropdown value."},"OptionValue":{"type":"object","properties":{"label":{"type":"string","description":"The label of the option."},"value":{"type":"string","description":"The value of the option."}},"description":"Represents option in the form."},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."}}},"paths":{"/workflowTasks/{workflowTaskId}/taskFormData":{"get":{"tags":["Workflow Tasks"],"summary":"Get task form data.","description":"Returns the task form data of the workflow task with the specified ID and form property type.","operationId":"getTaskFormData","parameters":[{"name":"workflowTaskId","in":"path","description":"Workflow task ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"formPropertyType","in":"query","description":"Form property type.","schema":{"type":"string"}}],"responses":{"200":{"description":"Workflow task form data successfully found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskFormData"}}}},"401":{"description":"User don't have permission for given task"},"404":{"description":"Workflow task form data could not be found."}}}}}}
```

## Get workflow task.

> Returns the workflow task with the specified ID. A task will only be returned when the user has the correct permission to view it.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"WorkflowTask":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"workflowDefinition":{"$ref":"#/components/schemas/WorkflowDefinitionReference"},"workflowInstanceId":{"type":"string","description":"The UUID of the workflow instance.","format":"uuid"},"key":{"type":"string","description":"The key."},"type":{"type":"string","description":"The type."},"aggregationKey":{"type":"string","description":"The key for aggregation purposes."},"priority":{"type":"integer","description":"The priority.","format":"int32"},"owner":{"type":"string","description":"The owner."},"candidateUsers":{"type":"array","description":"The list of candidate users.","items":{"$ref":"#/components/schemas/User"}},"createTime":{"type":"integer","description":"The create time.","format":"int64"},"dueDate":{"type":"integer","description":"The due date.","format":"int64"},"cancelable":{"type":"boolean","description":"Whether this workflow task is cancelable or not."},"reassignable":{"type":"boolean","description":"Whether this workflow task is reassignable or not."},"formRequired":{"type":"boolean","description":"Whether this task requires a form or not."},"formKeyAvailable":{"type":"boolean","description":"Whether this task has form key available or not."},"containsActivityStream":{"type":"boolean","description":"Whether this task contains an activity stream or not."},"inError":{"type":"boolean","description":"Whether this task is in error or not."},"errorMessage":{"type":"string","description":"The error message in case this task is in error."},"customButtons":{"type":"array","description":"The list of custom buttons.","items":{"$ref":"#/components/schemas/FormProperty"}},"description":{"type":"string","description":"The description of the workflow task."},"title":{"type":"string","description":"The title of the task."},"businessItem":{"$ref":"#/components/schemas/ResourceReference"},"businessItemReference":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"}},"description":"Represents a workflow task."},"WorkflowDefinitionReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."},"name":{"type":"string","description":"The name of the referenced resource."},"processId":{"type":"string","description":"The <code>id</code> of the process corresponding to the workflow."}},"description":"Represents reference to the workflow definition."},"User":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"userName":{"type":"string","description":"The user name."},"firstName":{"type":"string","description":"The first name of the user."},"lastName":{"type":"string","description":"The last name of the user.
[...]
